curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/default-rule-overrides/{policy_override_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"domain_id": 123,
"name": "<string>",
"target_type": "detector",
"targets": [
{
"id": 123,
"ref": "<string>",
"snapshot": {
"name": "<string>",
"category": "<string>",
"action": "<string>",
"attack_type": "<string>"
},
"detector_id": 123,
"rule_id": 123
}
],
"conditions": [
{
"ip": {
"ip_address": "<string>",
"negation": false
},
"ip_range": {
"lower_bound": "<string>",
"upper_bound": "<string>",
"negation": false
},
"country": {
"country_code": "CN",
"negation": false
},
"organization": {
"organization": "UptimeRobot s.r.o",
"negation": false
},
"header": {
"header": "Origin",
"value": "<string>",
"negation": false,
"match_type": "Contains"
},
"header_exists": {
"header": "Origin",
"negation": false
},
"user_agent": {
"user_agent": "curl/",
"negation": false,
"match_type": "Contains"
},
"url": {
"url": "/wp-admin/",
"negation": false,
"match_type": "Contains"
},
"http_method": {
"http_method": "CONNECT",
"negation": false
},
"ja3": {
"ja3_fingerprints": [
"e7d705a3286e19ea42f587b344ee6865"
],
"negation": false
},
"ja4": {
"ja4_fingerprints": [
"t13d3113h2_e8f1e7e78f70_ce5650b735ce"
],
"negation": false
}
}
],
"enabled": true,
"stale": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Retrieve a policy override
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Policy override ID
Response
Successful Response
The policy override's ID
The domain this override belongs to
The policy override's display name
Whether targets are detectors or rules
detector, rule The detectors or rules this override suppresses
Show child attributes
Show child attributes
The conditions required for the override to apply. Empty means the override applies to every request on the owning domain that hits a linked target.
Show child attributes
Show child attributes
Whether the override is active
Whether a linked target has been deleted, disabled, or otherwise become invalid. A stale override is not published and does not suppress anything until it's edited.
When the override was created
When the override was last updated
An optional note explaining the override
Was this page helpful?